# # #
# /44/ripl-custom_errors.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/44-ripl-why-should-you-use-an-irb-alternative
# # #

# by cldwalker
require 'ripl'

module Ripl::CustomErrors
  def print_eval_error(err)
    if handler = config[:custom_errors][err.class]
      handler.call(err)
    else
      super
    end
  end
end

Ripl::Shell.send :include, Ripl::CustomErrors
Ripl.config[:custom_errors] = {}
